package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewTemplate.Update(ctx, operations.C1APIAccessreviewV1AccessReviewTemplateServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewTemplateServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReviewTemplate.update({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review_template/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessReviewTemplate": {
"accessReviewDuration": "<string>",
"annotations": {},
"autoCloseCampaign": true,
"autoGenerateReport": true,
"autoStartCampaign": true,
"columnConfig": {
"columns": []
},
"description": "<string>",
"displayName": "<string>",
"exemptCertifiedAccessConflicts": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"isCampaignScheduleEnabled": true,
"nextScheduledCampaignAt": "2023-11-07T05:31:56Z",
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"occurrences": 123,
"policyId": "<string>",
"recurrenceRule": {
"endDate": "2023-11-07T05:31:56Z",
"interval": 123,
"occurrences": 123,
"startDate": "2023-11-07T05:31:56Z"
},
"reviewInstructions": "<string>",
"reviewerAttributeConfig": {
"bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
]
},
"scope": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"slackChannel": {
"description": "<string>",
"name": "<string>"
},
"usePolicyOverride": true
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{id}"
payload = {
"accessReviewTemplate": {
"accessReviewDuration": "<string>",
"annotations": {},
"autoCloseCampaign": True,
"autoGenerateReport": True,
"autoStartCampaign": True,
"columnConfig": { "columns": [] },
"description": "<string>",
"displayName": "<string>",
"exemptCertifiedAccessConflicts": True,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": ["<string>"],
"multiUserProfileAttributes": {},
"noAccountOwners": True,
"userIds": ["<string>"],
"userStatuses": []
},
"isCampaignScheduleEnabled": True,
"nextScheduledCampaignAt": "2023-11-07T05:31:56Z",
"notificationConfig": {
"sendClose": True,
"sendKickoff": True,
"sendReminders": True
},
"occurrences": 123,
"policyId": "<string>",
"recurrenceRule": {
"endDate": "2023-11-07T05:31:56Z",
"interval": 123,
"occurrences": 123,
"startDate": "2023-11-07T05:31:56Z"
},
"reviewInstructions": "<string>",
"reviewerAttributeConfig": { "bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
] },
"scope": {
"accountCelExpression": { "expression": "<string>" },
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": True
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": ["<string>"],
"riskLevelAttributeValueIds": ["<string>"]
},
"celExpression": { "expression": "<string>" },
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": ["<string>"],
"includedAccessProfileIds": ["<string>"]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": { "userIds": ["<string>"] },
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": ["<string>"],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": True,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"slackChannel": {
"description": "<string>",
"name": "<string>"
},
"usePolicyOverride": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessReviewTemplate: {
accessReviewDuration: '<string>',
annotations: {},
autoCloseCampaign: true,
autoGenerateReport: true,
autoStartCampaign: true,
columnConfig: {columns: []},
description: '<string>',
displayName: '<string>',
exemptCertifiedAccessConflicts: true,
id: '<string>',
inclusionScope: {
appUserStatuses: [],
appUserTypes: [],
managerIds: ['<string>'],
multiUserProfileAttributes: {},
noAccountOwners: true,
userIds: ['<string>'],
userStatuses: []
},
isCampaignScheduleEnabled: true,
nextScheduledCampaignAt: '2023-11-07T05:31:56Z',
notificationConfig: {sendClose: true, sendKickoff: true, sendReminders: true},
occurrences: 123,
policyId: '<string>',
recurrenceRule: {
endDate: '2023-11-07T05:31:56Z',
interval: 123,
occurrences: 123,
startDate: '2023-11-07T05:31:56Z'
},
reviewInstructions: '<string>',
reviewerAttributeConfig: {bindings: [{appId: '<string>', attributeKey: '<string>'}]},
scope: {
accountCelExpression: {expression: '<string>'},
accountCriteria: {accountTypes: [], appUserStatuses: [], noAccountOwner: true},
allAccessConflicts: {},
allAccounts: {},
allGrants: {},
allUsers: {},
appAccess: {},
appSelectionCriteria: {
complianceFrameworkAttributeValueIds: ['<string>'],
riskLevelAttributeValueIds: ['<string>']
},
celExpression: {expression: '<string>'},
grantsByCriteria: {
accessProfileFilter: {excludedAccessProfileIds: ['<string>'], includedAccessProfileIds: ['<string>']},
daysSinceAdded: '<string>',
daysSinceLastUsed: '<string>',
daysSinceReviewed: '<string>',
grantsAddedBetween: {endDate: '2023-11-07T05:31:56Z', startDate: '2023-11-07T05:31:56Z'}
},
resourceSelection: {},
resourceTypeSelections: {},
selectedUsers: {userIds: ['<string>']},
specificAccessConflicts: {},
specificResources: {},
userCriteria: {
groupAppEntitlementsRef: [{appId: '<string>', id: '<string>'}],
managerUserIds: ['<string>'],
multiUserProfileAttributes: {},
userStatus: []
}
},
signatureConfig: {
meaningOfSignature: '<string>',
requireSignature: true,
stepUpProviderId: '<string>',
tspUrl: '<string>'
},
slackChannel: {description: '<string>', name: '<string>'},
usePolicyOverride: true
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review_template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessReviewTemplate": {
"accessReviewDuration": "<string>",
"annotations": {},
"autoCloseCampaign": true,
"autoGenerateReport": true,
"autoStartCampaign": true,
"columnConfig": {
"columns": []
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"exemptCertifiedAccessConflicts": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"isCampaignScheduleEnabled": true,
"nextScheduledCampaignAt": "2023-11-07T05:31:56Z",
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"occurrences": 123,
"policyId": "<string>",
"recurrenceRule": {
"endDate": "2023-11-07T05:31:56Z",
"interval": 123,
"occurrences": 123,
"startDate": "2023-11-07T05:31:56Z"
},
"reviewInstructions": "<string>",
"reviewerAttributeConfig": {
"bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
]
},
"scope": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceSelection": {},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"slackChannel": {
"description": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
}
}Update
Update modifies an existing access review template. Use the update_mask to specify which fields to change.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewTemplate.Update(ctx, operations.C1APIAccessreviewV1AccessReviewTemplateServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewTemplateServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReviewTemplate.update({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of this template.
Body
The AccessReviewTemplateServiceUpdateRequest message.
A reusable template that defines the configuration for creating access review campaigns. Templates can optionally be scheduled to automatically create campaigns on a recurring basis.
This message contains a oneof named slack_channel_details. Only a single field of the following list may be set at a time:
- slackChannel
Show child attributes
Show child attributes
Response
Successful response
The AccessReviewTemplateServiceUpdateResponse message.
A reusable template that defines the configuration for creating access review campaigns. Templates can optionally be scheduled to automatically create campaigns on a recurring basis.
This message contains a oneof named slack_channel_details. Only a single field of the following list may be set at a time:
- slackChannel
Show child attributes
Show child attributes
Was this page helpful?